View Issue Details

IDProjectCategoryView StatusLast Update
0011907MediaMonkey for AndroidPlaybackpublic2018-08-02 17:01
Reporterrusty 
PriorityurgentSeverityfeatureReproducibilityalways
Status assignedResolutionopen 
Product Version1.0.5 
Target Version2.2.0Fixed in Version 
Summary0011907: Replace equalizer with 10-band equalizer
DescriptionA common complaint is that the current equalizer is limited to 5 bands and isn't granular enough compared to other players.

It would be useful to increase it to 10 bands.
TagsNo tags attached.
Fixed in build

Relationships

related to 0011957 feedbackmartin Volume leveling is very limited for low-volume tracks 
related to 0012528 closedrusty Equalizer settings become erratic after numerous changes 
parent of 0011746 feedbackmartin (Bluetooth) playback is corrupted when equalizer is enabled on some devices 
related to 0012086 closedmarek Summary: Refactor and improvements of playback 
related to 0014152 resolvedmartin Crossfading doesn't work 
related to 0013345 resolvedmartin Equalizer: Not working correctly without headphones connected 
related to 0014314 resolvedmartin EQ: Using EQ over BT issues 
Not all the children of this issue are yet resolved or closed.

Activities

martin

2014-04-18 14:50

developer   ~0040092

We use:
http://developer.android.com/reference/android/media/audiofx/Equalizer.html

this Equalizer doesn't support different number of bands than default. Number of bands depend on Android implementation but mostly it's five.

To implement 10 band equalizer we have to use some own implementation.
Something like https://code.google.com/p/sasken-player/ but it use AudioTrack instead MediaPlayer.

rusty

2014-10-07 16:02

administrator   ~0040732

Last edited: 2015-01-28 16:34

View 2 revisions

Raised the priority to 'urgent' given that the current equalizer implementation doesn't work on many devices (see 0011746 ), and since it is buggy on some of the devices it does work on (see 0012528).

martin

2015-06-15 12:41

developer   ~0042624

So I have looked at sasken player, but it seems buggy and 5 years old project without new updates. I prefer leave this option.

I have tried to find some other posibilities and found OpenSLMediaPlayer http://android-openslmediaplayer.h6ah4i.com/

It seems quite good. The library offers a compatible class of Android's MediaPlayer class, so implementation to our app should be quite quick.
On other hand we have to keep both implementation and provide option to switch between players. I think only users who want use 10 bands equalizer or have some issues with equalizer (samsung devices mainly) will use OpenSLMediaPlayer. Also this player doesn't support video playback.


advantages:
- 10 bands graphic equalizer with preamplifier
- Smooth fade in/out when starts/pauses playback
- (Visualizer)...

disvantages
- Does not support video playback
- Increases our app size from 6.3 MB to 10,7 MB
- Consumes more CPU resources than standard MediaPlayer and other OpenSL based audio player products (ex. PowerAmp)


Licence seems good I think, but please verify.

more info
https://github.com/h6ah4i/android-openslmediaplayer

rusty

2015-07-17 17:52

administrator   ~0042713

A 3MB library sounds like overkill. I was hoping for something more similar to the shibatch library used by MMW. Is nothing like that available?